import { request } from 'umi';
import { getDataBaseUrl,getgroupmealorderUrl } from '@/global_data';


/** 获取平台授权码  */
export async function PageAuthorization(data) {
     return request(getDataBaseUrl()+`/api/authorization/pageauthorization`, {
      method: 'POST',
      data: data,
    });
  }

  /** 添加平台授权码  */
export async function AddAuthorization(data) {
    return request(getDataBaseUrl()+`/api/authorization/addauthorization`, {
     method: 'POST',
     data: data,
   });
 }

   /** 修改平台授权码  */
export async function UpdateAuthorization(data) {
  return request(getDataBaseUrl()+`/api/authorization/updateauthorization?id=`+data, {
   method: 'POST',
   data: data,
 });
}

  /** 修改平台授权码时间  */
  export async function UpdateAuthTime(data) {
    return request(getDataBaseUrl()+`/api/authorization/updateauthtime`, {
     method: 'POST',
     data: data,
   });
  }
  
 /** 删除授权码  */
 export async function DelAuthorization(data) {
  return request(getDataBaseUrl()+`/api/authorization/delauthorization?id=`+data, {
   method: 'POST',
   data: data,
 });
}

  
